List chatroom messages
GET/bv/chatroom/v1/chatrooms/messages
List messages in the chatroom.
The default without any query parameters will retrieve 100 messages from the latest to the oldest,
and can continue to retrieve the next 100 messages by providing the before_at query parameter which can assign the
received_at value of the first message from the previous response.
If the response returns an empty array, it means there is no more message.
It can also retrieve the messages in different directions: from oldest to latest by providing the
from_oldest=true, and continue to retrieve the next 100 messages by providing the after_at
query parameter which can assign the received_at value of the last message from the previous response.
If the response returns an empty array, it means there is no more message.
Authorization requires the chatroom token in the header.
Request
Responses
- 200
- 400
- 401
- 403
- 500
- default
A successful response.
A unauthenticated response.
The header authorization was missing or unidentified.
A forbidden response.
It means that the provided authorization did not have enough permission to access the resource or the API.
A server error response. There are more HTTP status code mappings listed on here.
An unexpected error response.